# -*- rpm-spec -*-

Summary: Capture pixmaps created/stored on the X server
Name: capture-pixmap
Version: 0.8.1
Release: 1
License: GPLv2+
Group: Applications/Development
URL: http://people.redhat.com/berrange/capture-pixmap/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /usr/bin/addr2line
Requires: /usr/bin/convert
Requires: /usr/bin/gnuplot
Requires: /usr/bin/perl
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: /usr/bin/pod2man

%package devel
Summary: Capture pixmaps created/stored on the X server
Group: Applications/Development

%description
A nasty LD_PRELOAD hack to capture pixmaps created/stored on 
the X server to TIFF files

%description devel
A nasty LD_PRELOAD hack to capture pixmaps created/stored on 
the X server to TIFF files

%prep
%setup -q
%configure

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS INSTALL ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-plotter
%{_bindir}/%{name}-indexer
%{_bindir}/%{name}-debuginfo
%{_bindir}/%{name}-callers
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}*.1*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la

%changelog
* Tue Mar 14 2006  <berrange@redhat.com> - 0.8.1-1
- Updated to 0.8.1 release

* Mon Mar 13 2006  <berrange@redhat.com> - 0.8.0-1
- Added more tools for post-processing
- Added man pages

* Thu Mar  9 2006  <berrange@redhat.com> - 0.0.1-1
- Initial build.

